commit:     21ec2ee5d5a1297525c9ae540c058a14ddf3c240
Author:     Chris Mayo <aklhfex <AT> gmail <DOT> com>
AuthorDate: Sun Mar 24 19:36:59 2024 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri Apr 26 06:55:03 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=21ec2ee5

media-gfx/gnofract4d: use Meson to install

Closes: https://bugs.gentoo.org/show_bug.cgi?id=924049
Closes: https://bugs.gentoo.org/show_bug.cgi?id=926269
Signed-off-by: Chris Mayo <aklhfex <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/35675
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 media-gfx/gnofract4d/Manifest                      |  1 +
 .../gnofract4d/gnofract4d-4.3_p20240324.ebuild     | 78 ++++++++++++++++++++++
 2 files changed, 79 insertions(+)

diff --git a/media-gfx/gnofract4d/Manifest b/media-gfx/gnofract4d/Manifest
index a72b7ece14c3..56a01a89d483 100644
--- a/media-gfx/gnofract4d/Manifest
+++ b/media-gfx/gnofract4d/Manifest
@@ -1,2 +1,3 @@
 DIST gnofract4d-4.3_p20221125.tar.gz 18275177 BLAKE2B 
24fcd71818a98a3137b485046f295b523884d05ece694e37cf871e1fdaba7b26ac870675895a7a361e5d1fe142b0ae68c720c6e39615226951e8e1af6f57c848
 SHA512 
75d8d12441a0e2024f0ef125fee5cbe8dcc10c4c48ba366d5529644ae743928b998f85369aafc6e737cb994a82ebdcbe941e11c916c0d0996e785a146469e359
 DIST gnofract4d-4.3_p20230717.tar.gz 18275492 BLAKE2B 
0bc8834c6f3ed3ec48bf4ee49ad563ce6842485dd32eb568c580d74528d062dcad6f8da4a67434c3784497883d0a73d4fa050a346ef970ac348db58bc6e7ea39
 SHA512 
c427c42e75b830dcf95012346d2db3a9b63be4e5431e7eae5ec74b915f5eedd857d8fa56d5ec37e8d245c3a77dc413c72115700d614205bdd62b916e6865f749
+DIST gnofract4d-4.3_p20240324.tar.gz 18274057 BLAKE2B 
183bf96e0429fa676f1c6fca4ae6466c489d0fe5ffee09ae161e01d0f22b4e77165f846416702c026f5d73a27833dfebd49f5c3131c621c9b1abd2ee9fc5529d
 SHA512 
a174683b659347e4a7203d78d309ab41971d105131d40ea60490871477e80109624405f7012e455389ccc9325e08f224a1d3ea2d4e0c23fc9c5ca4fb83f9dfaa

diff --git a/media-gfx/gnofract4d/gnofract4d-4.3_p20240324.ebuild 
b/media-gfx/gnofract4d/gnofract4d-4.3_p20240324.ebuild
new file mode 100644
index 000000000000..47a8800ec72a
--- /dev/null
+++ b/media-gfx/gnofract4d/gnofract4d-4.3_p20240324.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit meson optfeature python-single-r1 virtualx xdg
+
+COMMIT="06e34bbf920692828bfd816ab5fb93e7ea9c51c2"
+
+DESCRIPTION="A program for drawing beautiful mathematically-based images known 
as fractals"
+HOMEPAGE="https://fract4d.github.io/gnofract4d/";
+SRC_URI="https://github.com/fract4d/gnofract4d/archive/${COMMIT}.tar.gz -> 
${P}.tar.gz"
+S="${WORKDIR}/${PN}-${COMMIT}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="${PYTHON_DEPS}
+       media-libs/libjpeg-turbo:0=
+       media-libs/libpng:0="
+RDEPEND="${DEPEND}
+       $(python_gen_cond_dep '
+               dev-python/pygobject:3[${PYTHON_USEDEP}]
+       ')
+       gui-libs/gtk:4[introspection]"
+BDEPEND="
+       virtual/pkgconfig
+       test? (
+               media-video/ffmpeg[vpx,zlib]
+               $(python_gen_cond_dep '
+                       dev-python/pytest[${PYTHON_USEDEP}]
+               ')
+       )"
+
+src_prepare() {
+       sed -i "s:4.3:${PV}:" meson.build || die
+       default
+}
+
+src_configure() {
+       local emesonargs=(
+               -Ddocdir="${EPREFIX}/usr/share/doc/${PF}"
+               -Dstrip=false
+       )
+       meson_src_configure
+}
+
+src_install() {
+       meson_src_install
+       python_optimize
+       python_fix_shebang "${ED}"/usr/bin/gnofract4d
+}
+
+src_test() {
+       local EPYTEST_IGNORE=(
+               # test_regress.py does not provide pytest with any tests and 
inspecting it requires dev-python/pillow
+               test_regress.py
+       )
+       local EPYTEST_DESELECT=(
+               # terminate called after throwing an instance of 
'std::exception'
+               test_fract4d.py::Test::testFDSite
+       )
+       use x86 && EPYTEST_DESELECT+=(
+               # https://bugs.gentoo.org/890796
+               test_fractal.py::Test::testDiagonal
+               test_fractal.py::Test::testRecolor
+       )
+       TMPDIR="${T}" virtx epytest
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+       optfeature "creating videos" media-video/ffmpeg[vpx,zlib]
+}

Reply via email to